.md-main {
    background-color: rgb(245, 245, 245);
}

#banner {
    background-color: white;
    padding: 1rem;

    border: 1px solid rgb(198, 198, 198);
    border-radius: 10px;

    box-shadow: rgba(0, 0, 0, 0.214) 0 2px 2px;

    font-size: 1rem;
}

.grid-layout {
    display: grid;

    flex-wrap: wrap;

    gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.grid-item {
    display: flex;
    flex-direction: column;
    
    position: relative;

    border: 1px solid rgb(198, 198, 198);
    border-radius: 10px;

    box-shadow: rgba(0, 0, 0, 0.214) 0 2px 2px;

    transition: transform 0.25s !important;
}
.grid-item:hover {
    transform: scale(102%);
}

.construction::before {
    position: absolute;

    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    border-radius: 10px;

    opacity: 0.25;

    content: '';

    background: repeating-linear-gradient(
        45deg,
        rgb(255, 166, 0),
        rgb(255, 166, 0) 10px,
        black 10px,
        black 20px
    );
}
.construction::after {
    position: absolute;

    top: 50%;
    left: 0;
    width: 100%;

    content: 'Under Construction';
    text-align: center;

    text-shadow: black 1px 1px 1px;
    font-size: 1.25rem;

    color: white;

    background-color: rgba(0, 0, 0, 0.75);
}

.grid-item img {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;

    max-height: 100px;
    width: 100%;

    object-fit: cover;
}

.grid-item .details {
    flex: 1;

    color: black;
    background-color: white;
    padding: 1rem;

    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.grid-item .details h2 {
    margin: 0;
}

@media screen and (max-width: 800px) {
    .grid-layout {
        grid-template-columns: 1fr;
    }
}